Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451694 - qpidd service fails to start unless a full pathname is specified for load-module.
Summary: qpidd service fails to start unless a full pathname is specified for load-mod...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide
Version: 1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Lana Brindley
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 18:32 UTC by Jeff Needle
Modified: 2013-10-23 23:08 UTC (History)
2 users (show)

Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 06:24:22 UTC


Attachments (Terms of Use)

Description Jeff Needle 2008-06-16 18:32:52 UTC
Page 7 of the Messaging Installation Guide suggests these options for qpidd.conf:

# Configuration file for qpidd
load-module=libbdbstore.so.0
log-output=/var/log/qpidd.log
trace=1

# service qpidd start
Starting Qpid AMQP daemon: 
libbdbstore.so.0: cannot open shared object file: No such file or directory
(qpid/sys/posix/Shlib.cpp:34)

If you use a fully qualified path name, it works.  Unfortunately, that path name
is different if you're running x86_64 or i386 (/usr/lib/qpidd vs.
/usr/lib64/qpidd).  Copying Kim in case this is a broker bug and not a doc bug,
or if clarification is needed because the default should be to load all modules
which are in that /usr/lib{64}/qpidd subdirectory.

Comment 1 Lana Brindley 2008-06-17 06:24:22 UTC
For now, I've removed the reference to the store module.

The new text is here:
https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_MRG/1.0/html/Messaging_Installation_Guide/chap-Messaging_Installation_Guide-Options_for_Running_the_Broker.html

I'm quite happy to re-instate it once we've published 1.0, to give us a chance
to get this right.

LKB


Note You need to log in before you can comment on or make changes to this bug.